petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCreateComposite

Creates a matrix as the sum of zero or more matrices

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateComposite(MPI_Comm comm,PetscInt nmat,const Mat *mats,Mat *mat)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| nmat | - number of matrices to put in
| mats | - the matrices

### Output Parameter

A -the matrix

### Notes

Alternative construction

          MatCreate(comm,&mat);

          MatSetSizes(mat,m,n,M,N);

          MatSetType(mat,MATCOMPOSITE);

          MatCompositeAddMat(mat,mats[0]);

          ....

          MatCompositeAddMat(mat,mats[nmat-1]);

          MatAssemblyBegin(mat,MAT_FINAL_ASSEMBLY);

          MatAssemblyEnd(mat,MAT_FINAL_ASSEMBLY);

For the multiplicative form the product is mat[nmat-1]*mat[nmat-2]*....*mat[0]

### See Also

MatDestroy(), MatMult(), MatCompositeAddMat(), MatCompositeMerge(), MatCompositeSetType(), MatCompositeType

Level:advanced
Location:src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex9.c.html